Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.wsdl.symbolTable
Class PortEntry

    java.lang.Object
      org.apache.axis.wsdl.symbolTable.SymTabEntry
          org.apache.axis.wsdl.symbolTable.PortEntry

public class PortEntry
extends SymTabEntry

This class represents the symbol table entry for a WSDL port.

Author:
  Karl Guggisberg

Field Summary

Fields inherited from class org.apache.axis.wsdl.symbolTable.SymTabEntry
`name, qname`

Constructor Summary
`PortEntry(javax.wsdl.Port port)` constructor

Method Summary
`javax.wsdl.Port` | `getPort()` replies the WSDL port element represented by this symbol table entry

Methods inherited from class org.apache.axis.wsdl.symbolTable.SymTabEntry
`getDynamicVar, getName, getQName, isReferenced, setDynamicVar, setIsReferenced, setName, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PortEntry

    public PortEntry(javax.wsdl.Port port)

  constructor

Parameters:
  `port` - the WSDL port element

Method Detail

### getPort

    public javax.wsdl.Port getPort()

  replies the WSDL port element represented by this symbol table entry

  Returns:
    the WSDL port element represented by this symbol table entry

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.